IF OBJECT_ID('dbo.sp_fco_alta_reportes_ala') IS NOT NULL
    DROP PROCEDURE dbo.sp_fco_alta_reportes_ala
GO
CREATE PROCEDURE dbo.sp_fco_alta_reportes_ala
(
    @pch_codigo char(10),
    @pvc_nombre varchar(100),
    @pch_maneja_EPS char(1),
    @pch_maneja_FPO char(1),
    @pch_iss_integrado char(1),
    @pch_maneja_SUC char(1),
    @pch_maneja_ARP	char(1),
    @pch_maneja_ISS	char(1),
    @pch_maneja_rep char(1),       
    @pch_maneja_mm char(1),                
    @pvc_ruta varchar(255),
    @pvc_ruta_salida varchar(255),
    @pch_orden char(1)
)
AS
BEGIN
    IF EXISTS(SELECT 1 FROM fco_reportes_ala WHERE codigo = @pch_codigo)
		UPDATE fco_reportes_ala 
	  	SET Nombre = @pvc_nombre,
        	Maneja_EPS = @pch_maneja_EPS,
        	Maneja_FPO = @pch_maneja_FPO,
        	ISS_Integrado = @pch_iss_integrado,
        	Maneja_SUC = @pch_maneja_SUC,
	      	Maneja_ARP = @pch_maneja_ARP,
	      	Maneja_ISS = @pch_maneja_ISS,
            maneja_rep = @pch_maneja_rep,
	      	maneja_mm = @pch_maneja_mm,          
        	ruta_rep   = Replace(@pvc_ruta,'/','\'),
	      	ruta_mm = Replace(@pvc_ruta_salida,'/','\'),
            orden = @pch_orden
	  	WHERE
	      	Codigo = @pch_codigo
    ELSE
		INSERT INTO fco_reportes_ala 
            (codigo, nombre, maneja_EPS, maneja_FPO, ISS_Integrado, maneja_SUC, 
             maneja_ARP, maneja_ISS, maneja_rep, maneja_mm, 
             ruta_rep, ruta_mm, orden)
        SELECT 
		    @pch_codigo, @pvc_nombre, @pch_maneja_EPS, @pch_maneja_FPO, @pch_ISS_Integrado, @pch_maneja_SUC,
            @pch_maneja_ARP, @pch_maneja_ISS, @pch_maneja_rep, @pch_maneja_mm, 
            Replace(@pvc_ruta,'/','\'), Replace(@pvc_ruta_salida,'/','\'), @pch_orden
END
GO
GRANT EXECUTE ON sp_fco_alta_reportes_ala TO PUBLIC
GO
